-- Projects that use the Ada Milter API should import this file.
-- Copyright 2009 - 2013 B. Persson, Bjorn@Rombobeorn.se
--
-- This library is free software: you can redistribute it and/or modify it
-- under the terms of the GNU General Public License version 3, as published
-- by the Free Software Foundation.


#if Directories_GPR'Defined then
with $Directories_GPR;
#end if;

library project Milter_API is

   for Library_Name     use "adamilter";
   for Library_Kind     use "dynamic";
   for Source_Dirs      use ($Includedir & "/adamilter");
   for Library_Dir      use $Libdir;
   for Library_ALI_Dir  use $Libdir & "/adamilter";
   for Externally_Built use "true";

   #if Wrap_Threads then
   package Linker is
      -- Programs that link to libadamilter shall link to
      -- libadamilter_thread_wrapper and libdl too.
      for Linker_Options use ("-ladamilter_thread_wrapper", "-ldl");
   end Linker;
   #end if;

end Milter_API;
